| IGLib 1.6.0 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | Static Public Member Functions | Protected Attributes | Properties | Private Member Functions | Private Attributes | List of all members
IG.Plot2d.GraphBase Class Reference

Graph data & control class. More...

Inheritance diagram for IG.Plot2d.GraphBase:
[legend]
Collaboration diagram for IG.Plot2d.GraphBase:
[legend]

## Public Member Functions
| GraphBase (string title, string description)
| Creates a GraphBase object with the specified title and description. More...
void | DetachGraphWindow ()
| Opens a new modal window containing the graph control that renders the current graph. More...

## Static Public Member Functions
static void | Example ()

## Protected Attributes
string | _title
string | _description
Thread | _windowThread

## Properties
object | Lock`[get]`
| Object used for thread locking of the current object. More...
virtual string | Title`[get, set]`
| Graph title. More...
virtual string | Description`[get, set]`
| Graph description. More...
List< GraphPlotItem > | PlotItems`[get]`
| Gets a list of axes maintained in the graph. More...
Form | ContainingForm`[get, set]`
Control | ContainingControl`[get, set]`
Thread | WindowThread`[get, protected set]`
| Thread in which new window is opened. More...
Properties inherited from IG.Lib.ILockable
object | Lock`[get]`

## Private Member Functions
void | Init (string title, string description)
| Takes care of initialization. More...

## Private Attributes
object | _lock = new object()
List< GraphPlotItem > | _plotItems = new List<GraphPlotItem>()
Form | _containingForm = null
Control | _containingControl

## Detailed Description

Graph data & control class.

$A Igor Jun09;

## Constructor & Destructor Documentation

IG.Plot2d.GraphBase.GraphBase | ( | string | title,
|  | string | description
| ) |  |
| inline

Creates a GraphBase object with the specified title and description.

Parameters

  title | Name (title) of the current plotter.
  description | Description of the graph object.

## Member Function Documentation

void IG.Plot2d.GraphBase.Init | ( | string | title,
|  | string | description
| ) |  |
| inline private

Takes care of initialization.

Parameters

  title | Title of the current graph class.
  description |

void IG.Plot2d.GraphBase.DetachGraphWindow | ( |  | ) |
| inline

Opens a new modal window containing the graph control that renders the current graph.

Removes the top-level graph window.

static void IG.Plot2d.GraphBase.Example | ( |  | ) |
| inline static

## Member Data Documentation

string IG.Plot2d.GraphBase._title
| protected

string IG.Plot2d.GraphBase._description
| protected

object IG.Plot2d.GraphBase._lock = new object()
| private

List<GraphPlotItem> IG.Plot2d.GraphBase._plotItems = new List<GraphPlotItem>()
| private

Form IG.Plot2d.GraphBase._containingForm = null
| private

Control IG.Plot2d.GraphBase._containingControl
| private

Thread IG.Plot2d.GraphBase._windowThread
| protected

## Property Documentation

object IG.Plot2d.GraphBase.Lock
| get

Object used for thread locking of the current object.

Referenced by IG.Plot2d.GraphLineItem.GraphLineItem().

virtual string IG.Plot2d.GraphBase.Title
| get set

Graph title.

virtual string IG.Plot2d.GraphBase.Description
| get set

Graph description.

List<GraphPlotItem> IG.Plot2d.GraphBase.PlotItems
| get

Gets a list of axes maintained in the graph.

Gets a list of plot items (such as lines or bar charts) contained in the graph.

Referenced by IG.Plot2d.GraphLineItem.GraphLineItem().

Form IG.Plot2d.GraphBase.ContainingForm
| get set

Control IG.Plot2d.GraphBase.ContainingControl
| get set

Thread IG.Plot2d.GraphBase.WindowThread
| get protected set

Thread in which new window is opened.

The documentation for this class was generated from the following file:

- extensions/igplot2d/plot2d/develop/graph/GraphBase.cs